/****************************************************************************/
/*  Copyright (c) Compaq Computer Corporation, 1999                         */
/*                                                                          */
/*  All Rights Reserved.  Unpublished rights reserved under the  copyright  */
/*  laws of the United States.                                              */
/*                                                                          */
/*  The software contained on this media is proprietary  to  and  embodies  */
/*  the   confidential   technology   of  Compaq Computer  Corporation.     */
/*  Possession, use, duplication or  dissemination  of  the  software  and  */
/*  media  is  authorized  only  pursuant  to a valid written license from  */
/*  Compaq Computer Corporation.                                            */
/****************************************************************************/

package robotcontroller;

/**
 * Interface implemented by <code>Behavior</code>.
 */
public interface BehaveListener {
    /**
     * returns the name of the behavior.
     */
    public String getName();
    /**
     * returns <code>true</code> if the behavior is enabled.
     */
    public boolean isEnabled();
    /**
     * Called once each cycle while the behavior is enabled, after all the
     * sensor update methods are called.  Does nothing by default.
     *
     * The user's behavior object should override this method.  */
    public void behave() throws ControllerException;
};
