/****************************************************************************/
/*  Copyright (c) Compaq Computer Corporation, 1999                         */
/*                                                                          */
/*  All Rights Reserved.  Unpublished rights reserved under the  copyright  */
/*  laws of the United States.                                              */
/*                                                                          */
/*  The software contained on this media is proprietary  to  and  embodies  */
/*  the   confidential   technology   of  Compaq Computer  Corporation.     */
/*  Possession, use, duplication or  dissemination  of  the  software  and  */
/*  media  is  authorized  only  pursuant  to a valid written license from  */
/*  Compaq Computer Corporation.                                            */
/****************************************************************************/

package robotcontroller;
import java.lang.*;

/**
 * ControllerError indicates a serious problem from which the application is
 * unlikely to recover -- such as the daughtercard coming unplugged.
 *
 * ControllerError extends Error.  An <code>Error</code> indicates serious
 * problems that a reasonable application should not try to catch.  A
 * method is not required to declare in its <code>throws</code> any
 * subclasses of <code>Error</code> that might be thrown during the
 * execution of the method but not caught, since these errors are abnormal
 * conditions that should never occur.
 */
public class ControllerError extends Error {
    /**
     * provides a detailed message
     * @param s detailed message */
    public ControllerError() {
    };
    /**
     * provides a detailed message
     * @param s detailed message
     */
    public ControllerError(String msg) {
        super(msg);
    };
};
