/****************************************************************************/
/*  Copyright (c) Compaq Computer Corporation, 1999                         */
/*                                                                          */
/*  All Rights Reserved.  Unpublished rights reserved under the  copyright  */
/*  laws of the United States.                                              */
/*                                                                          */
/*  The software contained on this media is proprietary  to  and  embodies  */
/*  the   confidential   technology   of  Compaq Computer  Corporation.     */
/*  Possession, use, duplication or  dissemination  of  the  software  and  */
/*  media  is  authorized  only  pursuant  to a valid written license from  */
/*  Compaq Computer Corporation.                                            */
/****************************************************************************/

package robotcontroller;
import java.lang.*;

/**
 * ControllerException indicates conditions that a reasonable application
 * might want to catch, such as creation of two <code>Motor</code> objects
 * using the same physical port.
 *
 * ControllerException extends Exception.  A method <em>is required</em> to
 * declare in its <code>throws</code> any subclasses of
 * <code>Exception</code> that might be thrown during the execution of the
 * method but not caught.  */
public class ControllerException extends Exception {
    /**
     * provides a detailed message
     * @param s detailed message
     */
    public ControllerException() {
    };
    /**
     * provides a detailed message
     * @param s detailed message
     */
    public ControllerException(String msg) {
        super(msg);
    };
};
