/****************************************************************************/
/*  Copyright (c) Compaq Computer Corporation, 1999                         */
/*                                                                          */
/*  All Rights Reserved.  Unpublished rights reserved under the  copyright  */
/*  laws of the United States.                                              */
/*                                                                          */
/*  The software contained on this media is proprietary  to  and  embodies  */
/*  the   confidential   technology   of  Compaq Computer  Corporation.     */
/*  Possession, use, duplication or  dissemination  of  the  software  and  */
/*  media  is  authorized  only  pursuant  to a valid written license from  */
/*  Compaq Computer Corporation.                                            */
/****************************************************************************/


package robotcontroller;

/**
 * Configures and controls the skfrdc LCD.
 */
public class LCD {
    /**
     * ensures that the connection to skfrdc is initialized.
     */
    static Controller rdc;

    /**
     * initializes the LCD controller to 2 line mode
     */
    public LCD () throws ControllerException
    {
        if (rdc == null) {
            rdc = Controller.getController();        
        }
    }

    /**
     * clears the LCD and sets the cursor position to line 0, position 0
     */
    public synchronized native void clear();

    /**
     * writes one <em>full</em> line of the LCD.
     * @param row ranges from 0 to 1
     * @param str is written to the LCD on row <code>row</code>
     */
    public synchronized native void writeLine(int row, String str);
    /**
     * sets the cursor position
     * @param row ranges 0 to 1
     * @param column ranges from 0 to 15
     */
    public synchronized native void setCursor(int row, int column);
    /**
     * writes the characters in str to the LCD starting at the row and column indicated by the current cursor
     */
    public synchronized native void writeString(String str);
};
