/****************************************************************************/
/*  Copyright (c) Compaq Computer Corporation, 1999                         */
/*                                                                          */
/*  All Rights Reserved.  Unpublished rights reserved under the  copyright  */
/*  laws of the United States.                                              */
/*                                                                          */
/*  The software contained on this media is proprietary  to  and  embodies  */
/*  the   confidential   technology   of  Compaq Computer  Corporation.     */
/*  Possession, use, duplication or  dissemination  of  the  software  and  */
/*  media  is  authorized  only  pursuant  to a valid written license from  */
/*  Compaq Computer Corporation.                                            */
/****************************************************************************/
package robotcontroller;
import java.lang.reflect.*;
/**
 * This is a helper class used to invoke class main from usercode.jar
 * without giving extra error messages if there is no such method.  
 */
public class Main {
    static public void main(String argv[]) {
	try {
	    System.err.println("RoboJava Release 1.08");
	    LCD lcd = new LCD();
	    lcd.clear();
	    lcd.writeLine(0, "RoboJava Release 1.08");
	} catch (ControllerException e) {
	}
        try {
            Class mainClass = Class.forName("main");
            Method methods[] = mainClass.getMethods();
            for (int i = 0; i < methods.length; i++) {
                if (methods[i].getName().equals("main")) {
                    Object methodArgs[] = new Object[1];
                    methodArgs[0] = argv;
                    methods[i].invoke(null, methodArgs);
                    return;
                }
            }
            throw new NoSuchMethodException("robotcontroller.Main.main could not find usercode method main.main");
        } catch (ClassNotFoundException e) {
            System.err.println("Did not find class main -- perhaps no usercode was loaded into flash");
            e.printStackTrace();
        } catch (NoSuchMethodException e) {
            System.err.println("Did not find method main of class main -- perhaps no usercode was loaded into flash");
            e.printStackTrace();
        } catch (InvocationTargetException ite) {
            System.err.println("robotcontroller.Main.main caught an exception while invoking main.main");
            Throwable te = ite.getTargetException();
            te.printStackTrace();
        } catch (Exception e) {
            System.err.println("robotcontroller.Main.main caught an exception");
            e.printStackTrace();
        };
    };
}
